Unable to Enroll or Manage iOS 7 Devices

Article:TECH209766  |  Created: 2013-08-19  |  Updated: 2013-10-01  |  Article URL http://www.symantec.com/docs/TECH209766
NOTE: If you are experiencing this particular known issue, we recommend that you Subscribe to receive email notification each time this article is updated. Subscribers will be the first to learn about any releases, status changes, workarounds or decisions made.
Article Type
Technical Solution


Subject

Issue



 The Symantec Mobile Management agent will not run properly.  Upon upgrade of an iOS device to version 7, you may also no longer be able to enroll or manage the device with Mobile Management. 


Environment



Symantec Mobile Management

Apple iOS 7


Solution



Older builds of the Symantec Mobile Management app are not compatible with iOS 7 releases, due to Apple’s changes in app access to UDID and MAC addresses.  Symantec recommends against upgrading iOS devices to iOS 7 until a Symantec Mobile Management version compatible with iOS 7 is deployed.  You must deploy an iOS 7 compatible SMM iOS agent and an SMM server Point-fix.

Server Components

A point-fix for the server components of Symantec Mobile Management 7.2 SP 2.1 for SMP has been released.  Please reference www.symantec.com/docs/TECH209914.

Device Agent

Apple devices running iOS 7 will require an updated SMM iOS agent.  Symantec recommends upgrading the agent deployed in your organization prior to the upgrade to iOS 7 to minimize risk of communication and management loss of those devices.  SMM agents 4962 and newer are compatible with iOS 7.

Organizations that compile their own in-house agent can download, compile, and publish SMM agent 4962 available here: www.symantec.com/docs/TECH210048  The Apple App Store version will be released soon. 

iOS 5 and 6 devices running an agent released with SMM 7.2 SP 2.1 (pre-4962) will continue to work with this server point-fix.  Symantec recommends upgrading these device agents to 4962 or newer before the devices are upgraded to iOS 7. 

Devices Upgraded To iOS 7 Before Point-Fix

If iOS devices were upgraded to iOS 7 prior to SMM agent upgrade and the server point-fix, MDM should continue to function but the SMM iOS agent will not.  The device will need an iOS 7 compatible agent installed and the servers will need the iOS 7 Point-Fix.  All devices upgraded to iOS 7 prior to these fixes must have the existing MDM profile removed and the SMM agent re-enrolled.




Article URL http://www.symantec.com/docs/TECH209766


Terms of use for this information are found in Legal Notices